geos::operation::buffer::OffsetCurveSection Class Reference

`#include <OffsetCurveSection.h>`

## Public Member Functions

| OffsetCurveSection (std::unique_ptr< CoordinateSequence > &&secPts, double pLoc, double pLocLast)
const CoordinateSequence * | getCoordinates () const
std::unique_ptr< CoordinateSequence > | releaseCoordinates ()
double | getLocation () const

## Static Public Member Functions

static std::unique_ptr< Geometry > | toLine (std::vector< std::unique_ptr< OffsetCurveSection > > &sections, const GeometryFactory *geomFactory)
static std::unique_ptr< Geometry > | toGeometry (std::vector< std::unique_ptr< OffsetCurveSection > > &sections, const GeometryFactory *geomFactory)
static std::unique_ptr< OffsetCurveSection > | create (const CoordinateSequence *srcPts, std::size_t start, std::size_t end, double loc, double locLast)
static bool | OffsetCurveSectionComparator (const std::unique_ptr< OffsetCurveSection > &a, const std::unique_ptr< OffsetCurveSection > &b)

## Detailed Description

Models a section of a raw offset curve, starting at a given location along the raw curve. The location is a decimal number, with the integer part containing the segment index and the fractional part giving the fractional distance along the segment. The location of the last section segment is also kept, to allow optimizing joining sections together.

Author
  mdavis

## Member Function Documentation

## toLine()

std::unique_ptr< Geometry > geos::operation::buffer::OffsetCurveSection::toLine | ( | std::vector< std::unique_ptr< OffsetCurveSection > > & | sections,
|  | const GeometryFactory * | geomFactory )

static

Joins section coordinates into a LineString. Join vertices which lie in the same raw curve segment are removed, to simplify the result linework.

Parameters

  sections | the sections to join
  geomFactory | the geometry factory to use

Returns
  the simplified linestring for the joined sections

The documentation for this class was generated from the following file:

- OffsetCurveSection.h